Module java.compiler
Package javax.lang.model.element

# Class UnknownElementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.lang.model.UnknownEntityException
javax.lang.model.element.UnknownElementException

All Implemented Interfaces:
  `Serializable`

public class UnknownElementException extends UnknownEntityException
Indicates that an unknown kind of element was encountered. This can occur if the language evolves and new kinds of elements are added to the `Element` hierarchy. May be thrown by an element visitor to indicate that the visitor was created for a prior version of the language.

Since:
  1.6
See Also:
  - `ElementVisitor.visitUnknown(javax.lang.model.element.Element, P)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownElementException(Element e, Object p)`
Creates a new `UnknownElementException`.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getArgument()`
Returns the additional argument.
`Element`
`getUnknownElement()`
Returns the unknown element.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownElementException

public UnknownElementException(Element e, Object p)
Creates a new `UnknownElementException`. The `p` parameter may be used to pass in an additional argument with information about the context in which the unknown element was encountered; for example, the visit methods of `ElementVisitor` may pass in their additional parameter.

Parameters:
  `e` - the unknown element, may be `null`
  `p` - an additional parameter, may be `null`

## Method Details

### getUnknownElement

public Element getUnknownElement()
Returns the unknown element. The value may be unavailable if this exception has been serialized and then read back in.

Returns:
  the unknown element, or `null` if unavailable

### getArgument

public Object getArgument()
Returns the additional argument.

Returns:
  the additional argument, or `null` if unavailable